Bug 98332 - OTS is needed by abiword plugins to compile.
OTS is needed by abiword plugins to compile.
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: abiword (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
http://sourceforge.net/projects/libots/
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-01 07:03 EDT by Nadav Rotem
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-22 20:52:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nadav Rotem 2003-07-01 07:03:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/0 Galeon/1.3.4

Description of problem:
Abiword 1.9.1 Introduced a new feature , an automatic text summarizer module. It
is now part of the abiword package. In order to compile the recent versions of
Abiword and get the text summarizer support the OTS (Open Text Summarizer) needs
to be installed. 

OTS is available here:
http://sourceforge.net/projects/libots/

and also under the abiword CVS.

without it whenever I click on "summmarize" in abiword 1.9.1 and later versions
the program will crash.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Click on "summarize" in abiword 1.9.1 , 1.99.1 and 2.0 beta1
2. The program will abort

    

Actual Results:  The program will abort

Expected Results:  The text should have been summarized

Additional info:
Comment 1 Jeremy Katz 2003-07-02 12:58:01 EDT
The plugin isn't being built because we don't ship OTS.  I'm not planning on
adding additional packages to the distribution just to support building new
abiword plugins right now.
Comment 2 Nadav Rotem 2003-07-21 17:39:42 EDT
Abiword-plugins can now be built --with-ots because OTS made it to the 9.0.93;

 I wish that abiword-impexp/tools would also make it into the next redhat release. 
Comment 3 Nadav Rotem 2003-07-21 17:46:13 EDT
forgot to re-open this bug. 

In any way, OTS 0.3.0 now supports 22 languages and has a new website. please
build abiword with ots support.  
libots.sf.net
Comment 4 Jeremy Katz 2003-07-22 20:52:49 EDT
ots 0.3.0 is building (it was in my queue already) now.  And the abiword plugin
is being built now as well.

Note You need to log in before you can comment on or make changes to this bug.